Skip to main content
GET
/
v1
/
tasks
/
{task_id}
Get task data or status
curl --request GET \
  --url https://api.databar.ai/v1/tasks/{task_id} \
  --header 'x-apikey: <x-apikey>'
{
  "task_id": "abc123",
  "status": "processing",
  "credits_spent": 0
}

Headers

x-apikey
any
required

API Key for authentication

Path Parameters

task_id
string
required

The unique identifier of the task whose status you are querying.

Response

The task status along with any associated data or errors.

task_id
string
required

Unique identifier of the task.

status
string
required

Current status of the request. Can be 'processing', 'completed', or 'failed'.

request_id
string | null
deprecated

Deprecated: use task_id instead. Same value as task_id.

data

Resulting data if the request is completed. Can be a dictionary or null.

error

Error message if the request has failed.

credits_spent
number
default:0

Total credits spent for this request.